%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif


%define name acstore
%define version 20230519
%define release 1

Summary:	Attribute Container Storage (ACStore).
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Source0:	%{name}-%{version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Packager:	Lawrence R. Rogers <lrr@cert.org>
Url:		https://github.com/log2timeline/acstore
%if 0%{?centos} == 8
BuildRequires:  python38
BuildRequires:  python38-devel
BuildRequires:  python38-setuptools
%else
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif

%description
ACStore, or Attribute Container Storage, provides a stand-alone implementation to read and write attribute container storage files.

%package -n python%{python3_pkgversion}-%{name}
Summary: Python %{python3_pkgversion} module of Attribute Container Storage (ACStore).

%description -n python%{python3_pkgversion}-%{name}
ACStore, or Attribute Container Storage, provides a stand-alone implementation to read and write attribute container storage files.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/acstore
%{python3_sitelib}/acstore*.egg-info

%changelog
* Fri May 19 2023 Lawrence R. Rogers <lrr@cert.org> 20230519-1
* Release 20230519-1
	Version as of 20230519.

* Sat Mar 25 2023 Lawrence R. Rogers <lrr@cert.org> 20230325-1
* Release 20230325-1
	Version as of 20230325.


* Sun Feb 26 2023 log2timeline development team <log2timeline-dev@googlegroups.com> 20230226-1
* Release 20230226-1
